STRUCT REGULATOR_CON(9)

NAME
struct_regulator_consumer_supply - supply -> device mapping

SYNOPSIS

struct regulator_consumer_supply {
  const char * dev_name;
  const char * supply;
};

MEMBERS

dev_name
    Result of dev_name for the consumer.

supply
    Name for the supply.

DESCRIPTION

This maps a supply name to a device. Use of dev_name allows support for buses which make struct device available late such as I2C.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT